CVE-2005-1898
CVSS5.0
发布时间 :2005-06-09 00:00:00
修订时间 :2008-09-05 16:50:22
NMCOS    

[原文]The passthrough functionality in phpThumb.php in phpThumb() before 1.5.4 allows remote attackers to read files that are not images.


[CNNVD]PHPThum中远程文件信息泄露漏洞(CNNVD-200506-097)

        phpThumb() 1.5.4之前版本的phpThumb.php脚本的passthrough函数存在漏洞,导致远程攻击者可读取非图片文件。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phpthumb:phpthumb:1.5.2
cpe:/a:phpthumb:phpthumb:1.5.1
cpe:/a:phpthumb:phpthumb:1.5.3
cpe:/a:phpthumb:phpthumb:1.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1898
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1898
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-097
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/15534
(PATCH)  SECUNIA  15534
http://www.securityfocus.com/bid/13842
(UNKNOWN)  BID  13842
http://sourceforge.net/project/shownotes.php?release_id=330469
(UNKNOWN)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=330469

- 漏洞信息

PHPThum中远程文件信息泄露漏洞
中危 输入验证
2005-06-09 00:00:00 2005-10-20 00:00:00
远程  
        phpThumb() 1.5.4之前版本的phpThumb.php脚本的passthrough函数存在漏洞,导致远程攻击者可读取非图片文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        phpThumb phpThumb 1.5
        phpThumb phpThumb_1.5.4.zip
        http://prdownloads.sourceforge.net/phpthumb/phpThumb_1.5.4.zip?download
        phpThumb phpThumb 1.5.1
        phpThumb phpThumb_1.5.4.zip
        http://prdownloads.sourceforge.net/phpthumb/phpThumb_1.5.4.zip?downloadpThumb phpThumb 1.5.2
        phpThumb phpThumb_1.5.4.zip
        http://prdownloads.sourceforge.net/phpthumb/phpThumb_1.5.4.zip?download
        phpThumb phpThumb 1.5.3
        phpThumb phpThumb_1.5.4.zip
        http://prdownloads.sourceforge.net/phpthumb/phpThumb_1.5.4.zip?download

- 漏洞信息

16887
phpThumb phpThumb.php src Parameter Arbitrary File Access
Remote / Network Access
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-05-27 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.5.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

PHPThumb Arbitrary File Information Disclosure Vulnerability
Input Validation Error 13842
Yes No
2005-06-02 12:00:00 2009-07-12 02:56:00
The vendor credits mr.agility <mr.agility@gmail.com> for the discovery of this vulnerability. This vulnerability was announced by the vendor.

- 受影响的程序版本

phpThumb phpThumb 1.5.3
phpThumb phpThumb 1.5.2
phpThumb phpThumb 1.5.1
phpThumb phpThumb 1.5
phpThumb phpThumb 1.5.4

- 不受影响的程序版本

phpThumb phpThumb 1.5.4

- 漏洞讨论

phpThumb is prone to an information disclosure vulnerability. This is due to a failure in the application to properly sanitize user-supplied input.

By design the application displays detailed information of picture files. The problem presents itself due to a failure in the application to ensure the file being displayed is a picture file.

An attacker may exploit this vulnerability to retrieve the contents of arbitrary files with the privileges of the Web server process. This information could be used to aid in further attacks against the underlying system.

- 漏洞利用

No exploit is required.

- 解决方案

The vendor has addressed this issue in phpThumb version 1.5.4:


phpThumb phpThumb 1.5

phpThumb phpThumb 1.5.1

phpThumb phpThumb 1.5.2

phpThumb phpThumb 1.5.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站